Subject: Re: prb setup tetex
From: [email-masked] (Felix Koop)
To: Jerome Benoit <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Apr 2001 15:00:45 +0200

Jerome,

thanks for your quick reply. I did 

cd /
rm -rf /usr/share/texmf/web2c
tar -xzf /.../tetex-XXX.tar.gz

and rerun the three texconfig commands.

I had to copy the *.cnf.frozen files to *.cnf, I had the error 

$ texconfig confall
/usr/bin/texconfig: No $TEXMFMAIN in texmf.cnf file.
/usr/bin/texconfig: set TEXMFCNF variable to the directory where teTeX's
texmf.cnf file is in.

before I did this. Now this part is working. Thanks again.
I now get the same error that NOE nicolas wrote about in "latest cygwin
DLL version + teTeX and PDF problem".

PS: I copy the list, so the solution will be in the archive.

Jerome Benoit wrote:
> 
> Bonjour:
> 
> I uess that there is a conflict between binary, executable files
> distributed
> in teTeX-texmf-1.0.tar.gz and those from Cygwin: try the following.
> 
> Remove the CTAN /usr/share/texmf/web2c directory and replace it with
> the one distributed in the Cygwin tarball
> and then do the intruction in usr/doc/Cygwin/tetex-XXX.README
> 
> Please let me know what you get.
> 
> Cheers,
> jerome BENOIT
> 
> Felix Koop wrote:
> >
> > Hello,
> >
> > I have a problem setting up tetex. I got teTeX-texmf-1.0.tar.gz from
> > CTAN. I untar-ed it in /usr/share/texmf and tried to follow the
> > instructions in /usr/doc/Cygwin/tetex-XXX.README
> >
> > texconfig confall gave the following error:
> > Error: file texmf.cnf not found in ``//share/texmf/web2c''.
> > TEXMFMAIN ``//share/texmf'' seems to have the wrong value from a
> > texmf.cnf file.
> >
> > Searching the reason brought me to the file
> > /usr/share/texmf/web2c/texmf.cnf where some variables $SELFAUTO...
> > seemed to be used. These variables apparently do not extend to the
> > proper value. I fixed this problem by eliminating them. texconfig
> > confall and rehash went smooth. But I still get an error with texconfig
> > init:
> >
> > $ texconfig init
> > Running mf to create plain base ...
> > ! mf.pool doesn't match; tangle me again (or fix the path).
> > Done.
> >
> > ! tex.pool doesn't match; tangle me again (or fix the path).
> > Error: `tex -ini -fmt=tex -progname=tex tex.ini' failed
> >
> > ! tex.pool doesn't match; tangle me again (or fix the path).
> > Error: `tex -ini -fmt=latex -progname=latex latex.ini' failed
> >
> > ! tex.pool doesn't match; tangle me again (or fix the path).
> > Error: `etex -ini -efmt=etex -progname=etex *etex.ini' failed
> >
> > ! tex.pool doesn't match; tangle me again (or fix the path).
> > Error: `etex -ini -efmt=elatex -progname=elatex *elatex.ini' failed
> >
> > ! pdftex.pool doesn't match; tangle me again (or fix the path).
> > Error: `pdftex -ini -fmt=pdftex -progname=pdftex pdftex.ini' failed
> >
> > ! pdftex.pool doesn't match; tangle me again (or fix the path).
> > Error: `pdftex -ini -fmt=pdflatex -progname=pdflatex pdflatex.ini'
> > failed
> >
> > ! pdfetex.pool doesn't match; tangle me again (or fix the path).
> > Error: `pdfetex -ini -efmt=pdfetex -progname=pdfetex *pdfetex.ini'
> > failed
> >
> > ! pdfetex.pool doesn't match; tangle me again (or fix the path).
> > Error: `pdfetex -ini -efmt=pdfelatex -progname=pdfelatex *pdfelatex.ini'
> > failed
> >
> > ! omega.pool doesn't match; otangle me again (or fix the path).
> > Error: `omega -ini -fmt=omega -progname=omega omega.ini' failed
> >
> > ! omega.pool doesn't match; otangle me again (or fix the path).
> > Error: `omega -ini -fmt=lambda -progname=lambda lambda.ini' failed
> >
> > ###############################################################################
> > fmtutil: Error! Not all formats have been built successfully.
> > Visit the log files in directory
> >   /usr/share/texmf/web2c
> > for details.
> > ###############################################################################
> >
> > This is a summary of all `failed' messages:
> > `tex -ini -fmt=tex -progname=tex tex.ini' failed
> > `tex -ini -fmt=latex -progname=latex latex.ini' failed
> > `etex -ini -efmt=etex -progname=etex *etex.ini' failed
> > `etex -ini -efmt=elatex -progname=elatex *elatex.ini' failed
> > `pdftex -ini -fmt=pdftex -progname=pdftex pdftex.ini' failed
> > `pdftex -ini -fmt=pdflatex -progname=pdflatex pdflatex.ini' failed
> > `pdfetex -ini -efmt=pdfetex -progname=pdfetex *pdfetex.ini' failed
> > `pdfetex -ini -efmt=pdfelatex -progname=pdfelatex *pdfelatex.ini' failed
> > `omega -ini -fmt=omega -progname=omega omega.ini' failed
> > `omega -ini -fmt=lambda -progname=lambda lambda.ini' failed
> > Running mpost to create plain mem ...
> > ! mp.pool doesn't match; tangle me again (or fix the path).
> > Done.
> >
> > Note that there are no log-files in directory /usr/share/texmf/web2c as
> > noted above, so I don't know where to look further. Can anyone help?
> >
> > My config:
> > Cygwin latest as of now, NT4 SP6a
> >
> > --
> > Mit freundlichen Grüßen/Kind regards/Bien a vous
> >
> > Felix Koop
> > [email-masked]
> > +49-(0)171-9580714
> >
> > --
> > Want to unsubscribe from this list?
> > Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Mit freundlichen Grüßen/Kind regards/Bien a vous

Felix Koop
[email-masked]
+49-(0)171-9580714

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple